Zoneomics Logo
Get parking requirements for a location.
GET
https://api.zoneomics.com/v2/parkingDetail?

parkingDetail API provides zoning information and parking requirements for the location specified in lat, lng, or address parameters.

Request Data
Request Parameters
api_key
String
required

A token needed to make API calls.

lat
Number

Latitude of the zone, for example lat=26.140122057877505.

lng
Number

Longitude of the zone, for example lng=-80.14542613234713.

address
String

A valid address of the zone, for example, 1216 Edmondson Ave, Baltimore, MD 21223, USA.

structured
Boolean

Determines the format of the parking requirements data.

If set to true, the API returns a detailed, object-based response about parking standards applicable to a specific land use type.

When set to false, the API returns a simplified, human readable format that groups parking requirements by classification and use type, with concise text descriptions.

Response Data
success
boolean

Indicates whether the request was successful or not.

statusCode
number

A numerical code representing the result of the request (e.g., 200 for success, 404 for not found).

message
string

return message from the server.

data
object

This returns a JSON object with all the data sets grouped under keys defined below.

ObjectAttribute NameDescriptionData typeSample Value

zone_details

zone_code

The abbreviation for a zoning district as provided by the municipality.

String

R1, C2

zone_name

The complete name for a zoning district as provided by the municipality.

String

Single Family Residential

zone_type

A standardized classification of the zone based on the primary uses intended.

String

Residential, Commercial, etc.

zone_sub_type

A standardized subclassification of the zone based on the primary uses intended.

String

Single Family, Two Family, etc.

zone_guide

A brief description of the objective of the zone.

String

The purpose and intent of the residential single-family districts is to provide for low-density single-family residential development in the City of South Pasadena.

link

Link to the full zoning code or municipal code of the jurisdiction. Also known as zoning ordinance or zoning bylaws.

String

lat

Latitude value of the passed location.

Number

33.7748889

lng

Longitude value of the passed location.

Number

-84.2889581

parking_requirements

(If the structured query parameter is set to false or is not passed in the API request)

{ Land Use Category: { Use Type } }

Contains grouped parking data specified under the permitted land use sub class and class.

Object

parking_requirements: { Schools and Universities: { Educational facility: One (1) space for every 200 square feet of gross floor area. } },

parking_requirements

(If the structured query parameter is set to true)

plu

Refers to the Primary Land Use (PLU) category.

String

Educational facility

space

Specifies the number of parking spaces required per defined unit.

String

1

parking

Contains the parking calculation details for this land use.

Object

{ unit: 200, space: 1, unit_type: "Square feet", parking_text: "1 space for every 200 square feet of gross floor area." }

unit

Indicates the measurement unit used to determine parking.

String

200

unit_type

Defines the type of unit used for the calculation.

String

Square feet

parking_text

A human-readable explanation of the parking rule.

String

1 space for every 200 square feet of gross floor area.

plu_class

Represents a high-level classification of land use.

String

Community

plu_subclass

Provides a more specific subcategory within the class.

String

Public, quasi-public and government

Use cases

Find all the usecases for the api below

Parking requirements by latitude and longitude values.
You can find the parking data for a location, by passing lat/lng,
https://api.zoneomics.com/v2/parkingDetail?api_key=<your_API_Key>&lat=26.140122057877505&lng=-80.14542613234713
Parking requirements by address.
You can find the parking data by passing value in address parameter,
https://api.zoneomics.com/v2/parkingDetail?api_key=<your API Key>&address=817 NE 4th St, Fort Lauderdale, FL 33301, USA
Parking Data By Using structured parameter
Get detailed parking data in response by using the structured query parameter.
https://api.zoneomics.com/v2/parkingDetail?api_key=<your API Key>&lat=26.140122057877505&lng=-80.14542613234713&structured=true

Ready to build with zoning data?

Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.